# Type Alias Action

type Action = {
configFields?: (
{ table, mode, }: { mode: ActionMode; table: AbstractTable },
) => Promise<FieldLike[]> | FieldLike[];
description?: string;
disableIf?: () => boolean;
disableInBuilder?: boolean;
disableInList?: boolean;
disableInWorkflow?: boolean;
namespace?: string;
requireRow?: boolean;
run: (
{ row, user, configuration, mode, table, }: {
configuration?: Row;
mode?: ActionMode;
row?: Row;
table?: AbstractTable;
user?: AbstractUser;
},
) => Promise<any>;
}

- Defined in base_types.ts:223

##### Index

### Properties

configFields?
description?
disableIf?
disableInBuilder?
disableInList?
disableInWorkflow?
namespace?
requireRow?
run

## Properties

### `Optional` configFields

configFields?: (
{ table, mode, }: { mode: ActionMode; table: AbstractTable },
) => Promise<FieldLike[]> | FieldLike[]

- Defined in base_types.ts:239

### `Optional` description

description?: string

- Defined in base_types.ts:225

### `Optional` disableIf

disableIf?: () => boolean

- Defined in base_types.ts:250

### `Optional` disableInBuilder

disableInBuilder?: boolean

- Defined in base_types.ts:246

### `Optional` disableInList

disableInList?: boolean

- Defined in base_types.ts:247

### `Optional` disableInWorkflow

disableInWorkflow?: boolean

- Defined in base_types.ts:248

### `Optional` namespace

namespace?: string

- Defined in base_types.ts:224

### `Optional` requireRow

requireRow?: boolean

- Defined in base_types.ts:249

### run

run: (
{ row, user, configuration, mode, table, }: {
configuration?: Row;
mode?: ActionMode;
row?: Row;
table?: AbstractTable;
user?: AbstractUser;
},
) => Promise<any>

- Defined in base_types.ts:226